curl --request POST \
--url https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"active": true,
"id": 123
}
]
}
'import requests
url = "https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions/batch/update"
payload = { "inputs": [
{
"active": True,
"id": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{active: true, id: 123}]})
};
fetch('https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update event subscriptions in batch
Crear suscripciones a eventos en lote para la aplicación especificada.
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Parámetros de ruta
Cuerpo
Un conjunto de objetos SubscriptionBatchUpdateRequest, cada uno de los cuales representa una suscripción que se actualizará. Esta propiedad es obligatoria.
Show child attributes
Show child attributes
Respuesta
successful operation
La fecha y hora en que se completó la operación por lotes, en formato ISO 8601.
Una matriz que contiene los resultados de la operación por lotes, donde cada elemento representa una respuesta de suscripción individual.
Show child attributes
Show child attributes
La fecha y la hora en que comenzó la operación por lotes, en formato ISO 8601.
El estado actual de la operación por lotes. Los valores válidos son "PENDING", "PROCESSING", "CANCELED" y "COMPLETE".
CANCELED, COMPLETE, PENDING, PROCESSING Un mapa de nombres de enlaces a URI asociados que proporcionan información adicional sobre la operación por lotes.
Show child attributes
Show child attributes
La fecha y la hora en que se solicitó la operación por lotes, en formato ISO 8601.